### Enumeration

# Gio SocketType

since: 2.22

#### Declaration

    enum Gio.SocketType

#### Description

Flags used when creating a `GSocket`. Some protocols may not implement all the socket types.

Available since: 2.22

#### Members

`G_SOCKET_TYPE_INVALID`

  Type unknown or wrong.

  - Value: `0`
  - Available since: 2.22
`G_SOCKET_TYPE_STREAM`

  Reliable connection-based byte streams (e.g. TCP).

  - Value: `1`
  - Available since: 2.22
`G_SOCKET_TYPE_DATAGRAM`

  Connectionless, unreliable datagram passing. (e.g. UDP).

  - Value: `2`
  - Available since: 2.22
`G_SOCKET_TYPE_SEQPACKET`

  Reliable connection-based passing of datagrams of fixed maximum length (e.g. SCTP).

  - Value: `3`
  - Available since: 2.22